Index: lib/spatial/mapbuilder/LICENSE
===================================================================
--- lib/spatial/mapbuilder/LICENSE	(revision 4306)
+++ lib/spatial/mapbuilder/LICENSE	(revision 4307)
@@ -1,8 +1,31 @@
-Mapbuilder-lib is a browser based Web Mapping client.
-http://mapbuilder.sourceforge.net
+MapBuilder is a powerful, standards compliant geographic mapping client
+which runs in a web browser.  More details at http://communitymapbuilder.org
 
-Copyright (C) 2005 Cameron Shorter, Mike Adair, Nedjo Rodgers,
-Tom Kralidis, Matthew Perry.
+Mapbuilder source code is copyright (C) 2008 to the following people:
+  Name                    Login Id
+  ====                    ========
+  Andreas Hocevar         ahocevar
+  Cameron Shorter         camerons
+  Christopher Schmit      crschmidt
+  Dirk van den Elzen      dirk
+  Gertjan van Oosten      gjvoosten
+  Jean-sebastien baklouti jseb.baklouti
+  John Pulles             johnp
+  Linda Derezinski        derezinski
+  Matthew D. Diez         mattdiez
+  Matthew Perry           
+  Michael Jenik           maiqui
+  Mike Adair              madair madair1
+  Nedjo Rogers            nedjo
+  Olivier Terral          Oterral
+  Pat Cappelaere          cappelaere
+  Radim Blazek            rabla
+  Raj Singh               rajsingh
+  Richard Greenwood       rgreenwood
+  Roald de Wit            rdewit
+  Stefano Menegon         menegon
+  Steven M. Ottens        graphrisc steven
+  Tom Kralidis            tomkralidis
 
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
@@ -17,3 +40,17 @@
 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+--
+
+It is the intent of this project that all Mapbuilder developers who
+have been given write access to the Mapbuilder code repository and
+have contributed to source code in mapbuilder/lib/* may become
+copyright owners.
+
+Providing a patch to the mailing list does not give someone the right to
+become a copyright owner (primarily because it is too hard to track).
+
+Once someone becomes a copyright owner, they do not loose this status
+unless they personally request to be removed from the list of copyright
+owners listed in this file.
Index: lib/spatial/mapbuilder/tests/selenium/selenium-core-0.8.2/scripts/se2html.js
===================================================================
--- lib/spatial/mapbuilder/tests/selenium/selenium-core-0.8.2/scripts/se2html.js	(nonexistent)
+++ lib/spatial/mapbuilder/tests/selenium/selenium-core-0.8.2/scripts/se2html.js	(revision 4307)
@@ -0,0 +1,63 @@
+/*
+
+This is an experiment in creating a "selenese" parser that drastically
+cuts down on the line noise associated with writing tests in HTML.
+
+The 'parse' function will accept the follow sample commands.
+
+test-cases:
+    //comment
+    command "param"
+    command "param" // comment
+    command "param" "param2"
+    command "param" "param2" // this is a comment
+
+TODO: 
+1) Deal with multiline parameters
+2) Escape quotes properly
+3) Determine whether this should/will become the "preferred" syntax 
+   for delivered Selenium self-test scripts
+*/    
+
+
+function separse(doc) {
+    // Get object
+    script = doc.getElementById('testcase')
+    // Split into lines
+    lines = script.text.split('\n');
+
+
+    var command_pattern = / *(\w+) *"([^"]*)" *(?:"([^"]*)"){0,1}(?: *(\/\/ *.+))*/i;
+    var comment_pattern = /^ *(\/\/ *.+)/
+
+    // Regex each line into selenium command and convert into table row.
+    // eg. "<command> <quote> <quote> <comment>"
+    var new_test_source = '';
+    var new_line        = '';
+    for (var x=0; x < lines.length; x++) {
+        result = lines[x].match(command_pattern);
+        if (result != null) {
+            new_line = "<tr><td>" + (result[1] || '&nbsp;') + "</td>" +
+                           "<td>" + (result[2] || '&nbsp;') + "</td>" +
+                           "<td>" + (result[3] || '&nbsp;') + "</td>" +
+                           "<td>" + (result[4] || '&nbsp;') + "</td></tr>\n";
+            new_test_source += new_line;
+        }
+        result = lines[x].match(comment_pattern);
+        if (result != null) {
+            new_line = '<tr><td rowspan="1" colspan="4">' +
+                       (result[1] || '&nbsp;') +
+                       '</td></tr>';
+            new_test_source += new_line;
+        }
+    }
+
+    // Create HTML Table        
+    body = doc.body
+    body.innerHTML += "<table class='selenium' id='testtable'>"+
+                      new_test_source +
+                      "</table>";
+
+}
+
+
Index: lib/spatial/mapbuilder/tests/selenium/selenium-core-0.8.2/lib/scriptaculous/builder.js
===================================================================
--- lib/spatial/mapbuilder/tests/selenium/selenium-core-0.8.2/lib/scriptaculous/builder.js	(nonexistent)
+++ lib/spatial/mapbuilder/tests/selenium/selenium-core-0.8.2/lib/scriptaculous/builder.js	(revision 4307)
@@ -0,0 +1,101 @@
+// Copyright (c) 2005 Thomas Fuchs (http://script.aculo.us, http://mir.aculo.us)
+//
+// See scriptaculous.js for full license.
+
+var Builder = {
+  NODEMAP: {
+    AREA: 'map',
+    CAPTION: 'table',
+    COL: 'table',
+    COLGROUP: 'table',
+    LEGEND: 'fieldset',
+    OPTGROUP: 'select',
+    OPTION: 'select',
+    PARAM: 'object',
+    TBODY: 'table',
+    TD: 'table',
+    TFOOT: 'table',
+    TH: 'table',
+    THEAD: 'table',
+    TR: 'table'
+  },
+  // note: For Firefox < 1.5, OPTION and OPTGROUP tags are currently broken,
+  //       due to a Firefox bug
+  node: function(elementName) {
+    elementName = elementName.toUpperCase();
+    
+    // try innerHTML approach
+    var parentTag = this.NODEMAP[elementName] || 'div';
+    var parentElement = document.createElement(parentTag);
+    try { // prevent IE "feature": http://dev.rubyonrails.org/ticket/2707
+      parentElement.innerHTML = "<" + elementName + "></" + elementName + ">";
+    } catch(e) {}
+    var element = parentElement.firstChild || null;
+      
+    // see if browser added wrapping tags
+    if(element && (element.tagName != elementName))
+      element = element.getElementsByTagName(elementName)[0];
+    
+    // fallback to createElement approach
+    if(!element) element = document.createElement(elementName);
+    
+    // abort if nothing could be created
+    if(!element) return;
+
+    // attributes (or text)
+    if(arguments[1])
+      if(this._isStringOrNumber(arguments[1]) ||
+        (arguments[1] instanceof Array)) {
+          this._children(element, arguments[1]);
+        } else {
+          var attrs = this._attributes(arguments[1]);
+          if(attrs.length) {
+            try { // prevent IE "feature": http://dev.rubyonrails.org/ticket/2707
+              parentElement.innerHTML = "<" +elementName + " " +
+                attrs + "></" + elementName + ">";
+            } catch(e) {}
+            element = parentElement.firstChild || null;
+            // workaround firefox 1.0.X bug
+            if(!element) {
+              element = document.createElement(elementName);
+              for(attr in arguments[1]) 
+                element[attr == 'class' ? 'className' : attr] = arguments[1][attr];
+            }
+            if(element.tagName != elementName)
+              element = parentElement.getElementsByTagName(elementName)[0];
+            }
+        } 
+
+    // text, or array of children
+    if(arguments[2])
+      this._children(element, arguments[2]);
+
+     return element;
+  },
+  _text: function(text) {
+     return document.createTextNode(text);
+  },
+  _attributes: function(attributes) {
+    var attrs = [];
+    for(attribute in attributes)
+      attrs.push((attribute=='className' ? 'class' : attribute) +
+          '="' + attributes[attribute].toString().escapeHTML() + '"');
+    return attrs.join(" ");
+  },
+  _children: function(element, children) {
+    if(typeof children=='object') { // array can hold nodes and text
+      children.flatten().each( function(e) {
+        if(typeof e=='object')
+          element.appendChild(e)
+        else
+          if(Builder._isStringOrNumber(e))
+            element.appendChild(Builder._text(e));
+      });
+    } else
+      if(Builder._isStringOrNumber(children)) 
+         element.appendChild(Builder._text(children));
+  },
+  _isStringOrNumber: function(param) {
+    return(typeof param=='string' || typeof param=='number');
+  }
+}
\ No newline at end of file
